// Fragment Shader  file "shadername.frag"

#version 150 core

in vec3 colour;
in vec3 normal;

uniform vec3 ambient;
uniform vec3 light;
uniform vec3 intensity;

uniform float diffuse;

out vec4 out_color;

void main(void)
{
	vec3 L = normalize(light);
	vec3 N = normalize(normal);
	vec3 colInt = ambient + diffuse * intensity * max(dot(N, L), 0.0);
	vec3 newColour = colInt * colour;
	out_color = vec4(newColour,1.0);
	//out_color = vec4(0.5);
}
