#version 400 core

uniform mat4 proj_mat;
uniform mat4 view_mat;
uniform mat4 model_mat;
uniform mat4 normal_mat;
uniform mat4 shadow_mat;

in vec4 in_position;
in vec3 in_normal;
in vec3 in_colour;

out vec3 normal;
out vec3 position;
out vec4 sm_coord;
out vec3 color;

void main(void) {
	
	color = in_colour;
	position = vec3((view_mat * model_mat) * in_position);
	vec4 newNormal = vec4(in_normal, 1);
	newNormal = normal_mat * newNormal;
	normal = vec3(newNormal);
	sm_coord = shadow_mat * in_position;
	vec4 position = proj_mat * view_mat * model_mat * in_position;
	position.y += 0.01;
	gl_Position = position; 





 //alte version
	// standard transformation
//	vec4 pos = proj_mat * view_mat * model_mat * in_position;
//	pos.y = pos.y + 0.001;
//	gl_Position = pos;

	// shadow texture coords in projected light space
//	SM_tex_coord = tex_mat * model_mat * in_position;

}