// Fragment Shader  file "shadername.frag"

#version 150 core

in vec3 colour;
in vec3 normal;

uniform vec3 ambient;
uniform vec3 light;
uniform vec3 intensity;
uniform vec3 viewing;

uniform float diffuse;
uniform float specular;
uniform float shininess;

uniform float alpha;

out vec4 out_color;

void main(void)
{
	vec3 L = normalize(light);
	vec3 N = normalize(normal);
	vec3 R = normalize(-reflect(L,N));
	vec3 V = normalize(viewing);
	vec3 colInt = ambient * colour + diffuse * intensity * max(dot(N, L), 0.0) * colour + specular * intensity * pow(max(dot(R, V), 0.0), shininess);
	out_color = vec4(colour,alpha);
	//out_color = vec4(0.5);
}
